Subject: Re: [PATCH v3 0/3] Directory traversal bugs

From: Junio C Hamano <[email-masked]>
Date: Tue, 17 Dec 2019 10:24:10 -0800

Johannes Schindelin <[email-masked]> writes:

> As I said elsewhere, if Git for Windows' FSCache hack is the only thing
> that is broken by this patch series, in light of the bugs that it _does_
> fix I would rather adjust the FSCache patches to accommodate v2.

With "FSCache hack", do you refer to the "d_name is a pointer to
elsewhere" thing?  If so, I too very much appreciate the direction
you are suggesting.  Seeing that these three patches essentially are
the same as three (1/8, 3/8 and 4/8) from the v2, I'd keep all the 8
patches from v2 in my tree for now.

Thanks, both.